%define prever pre1
%define use_prever 0
%define build_static 0
%define build_recode 1
%define build_id3v2 1
%define rusversion 1.2.10
%define rusxmms_ver csa27.3

Name: xmms
Version: 1.2.10
Release: alt3

Epoch: %(date +%%Y%%m%%d)

Summary: X Multimedia System -- the player for you
License: GPL
Group: Sound

Url: http://xmms.org
Icon: xmms-logo.xpm

%if %use_prever
Source0: %url/files/1.2.x/%name-%version-%prever.tar.bz2
%else
Source0: %url/files/1.2.x/%name-%version.tar.bz2
%endif
Source2: gnomexmms.desktop.bz2
Source4: xmms-icons.tar.bz2
Source5: xmms.menu
Source6: wmxmms.menu
Source8: xmms-ru.po.bz2
Source10: xmms.16.xpm.bz2
Source11: xmms.32.xpm.bz2
Source12: xmms.48.xpm.bz2

Source70: http://unc.dl.sourceforge.net/sourceforge/rusxmms/xmms-%rusversion-recode-%rusxmms_ver.tar.bz2
Source71: xmms.rpm-macros
Source72: xmms-cyr-setup.sh
Source73: xmms-cyr-setup.menu
Source74: xmms-wrapper.sh

Source80: xmms-README.ALT

Patch1: xmms-1.2-audio-patch
Patch4: xmms-fix-smallfiles.patch
Patch5: xmms-1.2.6-fix-title-mp3streaming.patch
Patch6: xmms-fix-textbox.patch
Patch8: xmms-3dse-niqueluisarace.patch

# Local patches
Patch41: xmms-1.2.6-filebrowser_get_files.patch
Patch42: xmms-1.2.7-automake.patch
Patch43: xmms-1.2.7-local-libxmms_n.patch
Patch44: xmms-1.2.9-alt-socketpath.patch
Patch45: xmms-1.2.8-alt-aclocal-mess-cleanup.patch.bz2

# imported from 1.2.8-1.9asp
Patch52: xmms-1.2.6-lazy.patch
# ...and additionally fixed
Patch55: xmms-1.2.10-alt-arts.patch

# rollback winlist changes in 1.2.9
Patch56: xmms-1.2.10-alt-skipwinlist.patch

# id3v2 support
Patch60: xmms-1.2.9-yonas-id3v2.patch

Packager: Michael Shigorin <mike@altlinux.ru>

BuildPreReq: gtk+-devel libvorbis-devel libogg-devel db1-devel libmikmod-devel

Obsoletes: x11amp
Requires: libxmms = %version-%release

# Automatically added by buildreq on Tue Feb 24 2004
BuildRequires: ORBit-devel XFree86-devel XFree86-libs esound-devel glib-devel gtk+-devel hostinfo libalsa-devel libarts-devel libaudiofile-devel libmikmod-devel libogg-devel libvorbis-devel zlib-devel

%description
XMMS is a sound player written from scratch. Since it uses the WinAmp GUI, it
can use WinAmp skins, and play mp3s, mods, s3ms, and other formats. It now has
support for input, output, and general plugins, and has also been GPLd.

%description -l ru_RU.KOI8-R
X MultiMedia System -   -  UNIX-.

       
  ,    .

%description -l uk_UA.KOI8-U
X MultiMedia System - ¦  Ħ-  UNIX-.

դ  ˦˦ Ԧ  Ԧ  ˦ ˦Ԧ
̦ ,  Φ   .

%package -n libxmms
Summary: Library needed for XMMS and its plugins
Summary(ru_RU.KOI8-R):   XMMS    
Summary(uk_UA.KOI8-U): ̦  XMMS  ̦  
Group: System/Libraries
Requires: libxmms = %version-%release

%description -n libxmms
This library is mandatory for xmms and for all its plugins to run.

%description  -n libxmms -l ru_RU.KOI8-R
    xmms    .

%description  -n libxmms -l uk_UA.KOI8-U
 ¦̦  Ȧ  xmms  Ӧ  .

%package -n libxmms-devel
Summary: Development package with headers
Group: Development/C
Icon: xmms-devel-logo.xpm
Requires: libxmms = %version-%release
Provides: xmms-devel = %version-%release
Obsoletes: xmms-devel

%description -n libxmms-devel
Header files required for compiling xmms plugins.

%if %build_static
%package -n libxmms-devel-static
Summary: Development package with static libs
Group: Development/C
Requires: libxmms-devel = %version-%release
Obsoletes: xmms-devel-static
Provides: xmms-devel-static = %version-%release

%description -n libxmms-devel-static
Static libraries required for compiling xmms plugins.
%endif

%package in-mikmod
Summary: Mikmod output plugin
Summary(ru_RU.KOI8-R):    MOD-
Summary(uk_UA.KOI8-U):  Ц צ MOD-̦
Group: Sound
Icon: xmms-mikmod-logo.xpm
BuildPreReq: libmikmod-devel
Requires: %name = %version-%release
Requires: libmikmod >= 3.1.6
Obsoletes: x11amp-mikmod xmms-mikmod
Provides: xmms-mikmod = %version-%release

%description in-mikmod
Input plugin for XMMS to play MODs (.mod,.xm,.s3m, etc)

%description in-mikmod -l ru_RU.KOI8-R
    MOD- (.mod, .xm, .s3m, ...)

%description in-mikmod -l uk_UA.KOI8-U
    MOD-̦ (.mod, .xm, .s3m, ...)

%package in-vorbis
Summary: Input plugin that uses the Vorbis library
Summary(ru_RU.KOI8-R):    Ogg Vorbis
Summary(uk_UA.KOI8-U):  Ц צ Ogg Vorbis
Group: Sound
Requires: %name = %version-%release, libvorbis >= 1.0rc2, libogg >= 1.0rc2
BuildPreReq: libvorbis
Obsoletes: xmms-vorbis
Provides: xmms-vorbis = %version-%release

%description in-vorbis
Input plugins that use the Vorbis library

%description in-vorbis -l ru_RU.KOI8-R
 ,   Ogg Vorbis

%description in-vorbis -l uk_UA.KOI8-U
 ,  դ ¦̦ Ogg Vorbis

%package out-alsa
Summary: ALSA output plugin
Summary(ru_RU.KOI8-R):    ALSA
Summary(uk_UA.KOI8-U):    ALSA
Group: Sound
BuildPreReq: libalsa-devel
Requires: %name = %version-%release
Obsoletes: xmms-alsa < 1.2.8
Provides: xmms-alsa = %version-%release

%description out-alsa
Output plugin for xmms to use with ALSA

%description out-alsa -l ru_RU.KOI8-R
     ALSA

%description out-alsa -l uk_UA.KOI8-U
     ALSA

%package out-diskwriter
Summary: DiskWriter output plugin
Summary(ru_RU.KOI8-R):    
Summary(uk_UA.KOI8-U):    
Group: Sound
Requires: %name = %version-%release
Obsoletes: xmms-diskwriter < 1.2.8-alt2
Provides: xmms-diskwriter = %version-%release

%description out-diskwriter
Output plugin for xmms in order to output *.wav files instead of playing
sound on the soundcard.

%description out-diskwriter -l ru_RU.KOI8-R
    wav-  

%description out-diskwriter -l uk_UA.KOI8-U
    wav-̦ ͦ צ

%package out-esd
Summary: ESound output plugin
Summary(ru_RU.KOI8-R):    ESound
Summary(uk_UA.KOI8-U):    ESound
Group: Sound
Icon: xmms-esd-logo.xpm
BuildPreReq: esound-devel
Requires: %name = %version-%release
Requires: esound >= 0.2.14
Obsoletes: x11amp-esd xmms-esd < 1.2.8-alt2
Provides: xmms-esd = %version-%release

%description out-esd
Output plugin for xmms to use with the ESD

%description out-esd -l ru_RU.KOI8-R
 ,     ESound

%description out-esd -l uk_UA.KOI8-U
 ,  դ  ȦԦ  ESound

%package vis-mesa
Summary: Visualization plugins that use the Mesa3D library
Summary(ru_RU.KOI8-R):     Mesa3D
Summary(uk_UA.KOI8-U): ̦ צ̦æ   Mesa3D
Group: Sound
Icon: xmms-mesa-logo.xpm
Requires: %name = %version-%release
BuildPreReq: Mesa-devel
Obsoletes: xmms-mesa < 1.2.8-alt2
Provides: xmms-mesa = %version-%release

%description vis-mesa
3D Visualization plugins for XMMS that use the Mesa3d library

%description vis-mesa -l ru_RU.KOI8-R
    3D-

%description vis-mesa -l uk_UA.KOI8-U
 צ̦æ   3D-Ԧ

%package -n wmxmms
Summary: XMMS applet for WindowMaker
Group: Graphical desktop/Window Maker
Requires: %name = %version-%release

%description -n wmxmms
XMMS applet for WindowMaker.  

You may also want to take a look at wmusic.

%description -n wmxmms -l ru_RU.KOI8-R
 XMMS  WindowMaker.

   wmusic,   .

%description -n wmxmms -l uk_UA.KOI8-U
 XMMS  WindowMaker.

 צͦ צ wmusic,  Цդ .

%package cyr-setup
Summary: Script to auto-tune XMMS for cyrillic tags
Summary(ru_RU.KOI8-R):    XMMS  
Summary(uk_UA.KOI8-U):    XMMS Ц 
Summary(be_BY.CP1251):     XMMS   
Requires: XFree86-cyr_rfx-fonts-koi8-u xmms
Group: Sound

%description cyr-setup
This package is of use to Cyrillic users only.

%description cyr-setup -l ru_RU.KOI8-R
    XMMS    
 " "

%description cyr-setup -l uk_UA.KOI8-U
    XMMS    
æ " ̦"

%description cyr-setup -l be_BY.CP1251
    XMMS    
 " "

%prep
%if %use_prever
%setup -n xmms-%version-%prever -q -a 70
%else
%setup -n xmms-%version -q -a 70
%endif

%patch1 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%patch8 -p1

%patch41 -p1
%patch44 -p1

#patch45 -p1

# RH/ASP patches
# Use RTLD_LAZY, not RTLD_NOW
%patch52 -p1 -b .lazy
# Link arts dynamically and detect its presence for choosing output plugin
%patch55 -p1 -b .arts

#patch56 -p1 -b .winlist

# id3v2
%if %build_id3v2
%patch60 -p1 -b .id3v2
%endif

# ID3 recoding patch (rusxmms)
%if %build_recode
%if %build_id3v2
%__patch -p1 -s < xmms_id3v2-ds-recode.patch
%else
%__patch -p1 -s < xmms-ds-recode.patch
%endif
%endif

# another 1.2.9 fix from ds
%__patch -p1 -s < recode.addons/xmms-ds-ctrl3.patch

%define _optlevel 3
%add_optflags %optflags_notraceback -funroll-all-loops
%add_optflags -fexpensive-optimizations -fomit-frame-pointer
%set_verify_elf_method textrel=relaxed

%build
unset CC CXX
%__libtoolize --copy --force
%__aclocal
%__autoconf
%__automake -a
pushd libxmms
%__aclocal
%__autoconf
popd

export CFLAGS="%optflags `glib-config --cflags` -I%_x11includedir/GL $(orbit-config --cflags client server)"

%configure \
%ifarch %{ix86}
	--enable-3dnow \
	--enable-simd \
%endif
	--enable-recode \
	--enable-texthack 
%make

%install
%__mkdir_p %buildroot{%_menudir,%_liconsdir,%_miconsdir,%pkgdocdir}
%make DESTDIR=%buildroot install

%__cat > xmms.keys << EOF
audio/x-mp3:
	open=xmms %f
	view=xmms %f
EOF
%__install -pD -m644 xmms.keys %buildroot%_datadir/mime-info/xmms.keys 

# icons
%__install -m644 $RPM_SOURCE_DIR/xmms-logo.xpm %buildroot%_datadir/xmms/xmms.xpm
%__install -m755 -d %buildroot%_datadir/pixmaps/
%__ln_s ../xmms/xmms.xpm %buildroot%_datadir/pixmaps/

bzcat %SOURCE10 > %buildroot%_miconsdir/%name.xpm
bzcat %SOURCE11 > %buildroot%_iconsdir/%name.xpm
bzcat %SOURCE12 > %buildroot%_liconsdir/%name.xpm

%__install -m644 %SOURCE5 %buildroot%_menudir/%name
%__install -m644 %SOURCE6 %buildroot%_menudir/wmxmms

%__install -pD -m644 %SOURCE71 %buildroot%_sysconfdir/rpm/macros.d/%name

# cyr setup
%__install -pD -m755 %SOURCE72 %buildroot%_bindir/xmms-cyr-setup.sh
%__install -pD -m644 %SOURCE73 %buildroot%_menudir/xmms-cyr-setup
%__install -pD -m755 %SOURCE74 %buildroot%_datadir/%name/xmms-wrapper.sh

# packaging policy
%__install -p -m644 %SOURCE80 $RPM_BUILD_DIR/%name-%version/README.ALT-koi8r

%find_lang %name

%post
%post_ldconfig
%update_menus

%postun
%postun_ldconfig
%clean_menus

%post cyr-setup
%update_menus

%postun cyr-setup
%clean_menus

%post -n wmxmms
%update_menus

%postun -n wmxmms
%clean_menus

%files -f %name.lang 
%doc AUTHORS ChangeLog NEWS* README* TODO 
%doc recode.docs/README*.rus
%dir %_datadir/%name
%dir %_libdir/%name/
%dir %_libdir/%name/*
%_bindir/%name
%_libdir/%name/Input/libcdaudio*
%_libdir/%name/Input/libmpg123*
%_libdir/%name/Input/libtonegen*
%_libdir/%name/Input/libwav*
%_libdir/%name/Output/libOSS*
%_libdir/%name/General/*
%_libdir/%name/Effect/*
%_libdir/%name/Visualization/libbscope*
%_libdir/%name/Visualization/libsanalyzer*
%_datadir/%name/xmms.xpm
%_datadir/%name/xmms-wrapper.sh
%_datadir/mime-info/xmms.keys
%_datadir/pixmaps/*
%_iconsdir/%name.xpm
%_miconsdir/%name.xpm
%_liconsdir/%name.xpm
%_menudir/%name
%_man1dir/xmms.1.*

%files -n libxmms
%_libdir/libxmms.so.*

%files -n libxmms-devel
%_libdir/lib*.so
%_includedir/*
%_datadir/aclocal/xmms.m4
%_bindir/xmms-config
%_sysconfdir/rpm/macros.d/%name

%if %build_static
%files -n libxmms-devel-static
%_libdir/lib*.a
%endif

%files in-mikmod
%_libdir/xmms/Input/libmikmod*

%files in-vorbis
%_libdir/xmms/Input/libvorbis*

%files out-alsa
%_libdir/xmms/Output/libALSA*

%files out-esd
%_libdir/xmms/Output/libesdout*

%files out-diskwriter
%_libdir/xmms/Output/libdisk_writer*

%files vis-mesa
%_libdir/xmms/Visualization/libogl_spectrum*

%files -n wmxmms
%_bindir/wmxmms
%_man1dir/wmxmms.1.*
%_datadir/xmms/wmxmms.*
%_menudir/wmxmms

%files cyr-setup
%_bindir/xmms-cyr-setup.sh
%_menudir/xmms-cyr-setup

# TODO:
# - update satellite packages (xmms-*) [ALMOST DONE]
# - seperate in-mp3, possibly in-wav & co? (PLD-style)

%changelog
* Tue May 25 2004 Michael Shigorin <mike@altlinux.ru> 20040525:1.2.10-alt3
- removed patch56 (NetWM problem was in WindowMaker patches)
- fixed wrapper (honored only explicit LC_CTYPE, all my fault)
- freshened csa patch to 1.2.10-csa27.3 (no changes)

* Tue Mar 02 2004 Michael Shigorin <mike@altlinux.ru> 20040302:1.2.10-alt2
- fixed arts autodetect patch (regarding library permissions)
- finally fixed #3777 (multi-file DnD support in menufile);
  great thanks for reporting/fixing to Dmitry Vukolov (dav@)!
- fixed "more" NetWM support to behave as in 1.2.8 and before;
  thanks for patience and advice to Sergey Pinaev (dfo@)!

* Tue Feb 24 2004 Michael Shigorin <mike@altlinux.ru> 20040224:1.2.10-alt1
- 1.2.10
- csa27.3

* Sat Jan 31 2004 Michael Shigorin <mike@altlinux.ru> 20040131:1.2.9-alt1
- 1.2.9
- csa27 (plus one more fix)
- using id3v2-aware branch of rusxmms (csa) patch
- patch60 (id3v2): 1.2.9 flavour
- patch45 disabled for now (4/5, 1/2 failed)
- patch44 updated against 1.2.9
- patch0 merged to upstream (alsa+crossfade)
- drop gnomexmms ("I'll follow upstream", almost The Beatles :)

* Fri Jan 23 2004 Michael Shigorin <mike@altlinux.ru> 20040123:1.2.8-alt7
- *fixed* xmms-wrapper.sh (forgot to refresh the source from test script)

* Mon Jan 19 2004 Michael Shigorin <mike@altlinux.ru> 20040119:1.2.8-alt6
- fixed xmms-wrapper.sh (was broken regarding parameters) (#3513)
  thanks Dmitry Vukolov (dav@) for pointing out this silly thinko!
- added Belarussian subpackage descriptions,
  thanks to Vital Khil'ko <vk@>
- rusxmms to 1.2.8-csa23.2:
  - upstream fixed "Jump to" window recoding;
  - partially (.rus) included docs
- aclocal-mess-cleanup patch (see alt5) now applied
- moved xmms.keys from gnome subpackage to main one
- moved wmxmms to subpackage, added menufile
- built against libalsa-1.0.1 (shouldn't matter)
- spec cleanup

* Wed Jan 07 2004 Michael Shigorin <mike@altlinux.ru> 20040107:1.2.8-alt5
- added id3v2 patch by Yonas <yonas_ yahoo com> (#3392, xmms #335);
  adapted for use with rusxmms-patched 1.2.8 by Alexey Morozov <morozov@>
- added aclocal-mess-cleanup patch by Alexey Morozov <morozov@>
  (not applied for now, waiting 'till libtool gets fixed)
- added cyr-setup subpackage to enable single-click ready-to-use XMMS
  for Belarussian, Russian and Ukrainian users
- added wrapper to do the cyr init for first run with cyrillic locales
- added README.ALT containing packaging policy
- added Ukrainian subpackage descriptions
- fixed annoying "xmms-logo.xpm: file listed twice" :-)

* Sun Jan 04 2004 Michael Shigorin <mike@altlinux.ru> 20040104:1.2.8-alt4
- one-liner fix for crossfade + alsa-out segfault on exit (#3427);
  thanks to Peter Eisenlohr <p.eisenlohr gmx net> for that
- cleaned up "without-gnome" build deps
- spec cleanup (one more stale #patch removed)

* Fri Dec 05 2003 Michael Shigorin <mike@altlinux.ru> 20031205:1.2.8-alt3
- rusxmms to csa22.2
- TEXTREL workaround (won't fix asm for Input/libmpg123.so)
- package ALSA output plugin (got included in 1.2.8)
- disabled building static libraries by default
- removed *.la from devel subpackage

* Tue Oct 28 2003 Michael Shigorin <mike@altlinux.ru> 20031028:1.2.8-alt2.22.1
- csa22.1

* Mon Oct 27 2003 Michael Shigorin <mike@altlinux.ru> 20031027:1.2.8-alt2.22
- updated rusxmms to csa22

* Sat Oct 25 2003 Michael Shigorin <mike@altlinux.ru> 20031025:1.2.8-alt2
- moving to PLD-like plugin package naming scheme
- introduced %_sysconfdir/rpm/macros.d/%name in lib%name-devel
- rusxmms updated to 1.2.8-csa21.1 (dynamic enca support, minor fixes)
- fixed some source file permissions

* Fri Oct 24 2003 Michael Shigorin <mike@altlinux.ru> 1.2.8-alt1.20
- rusxmms updated to 1.2.8-csa20 (full enca support, streaming fixes)

* Fri Oct 24 2003 Michael Shigorin <mike@altlinux.ru> 1.2.8-alt1
- 1.2.8
- removed idcin (excluded in upstream)
- changed recode patch to rusxmms.sf.net's version (1.2.8-csa19)
  as it's up to date and active
- removed perversive (gc) build of xmms-shell and sox effects:
  xmms-shell is built separately and sox is outdated (source removed from
  author's site) and widely outperformed by xmms-ladspa) 
- fixed patch55 (arts plugin autodetect)
- removed old-forgotten libxmms.so.0 symlink
- spec cleanup

* Thu Oct 31 2002 Konstantin Volckov <goldhead@altlinux.ru> 1.2.7-alt7
- Added patches from Alexey Morozov <morozov@novosoft.ru>
  - Re-applied GTK+ File Browsing fix patch
  - Re-applied autoconf-2.5 / automake-1.6 compatibility patches
  - automake-1.6 fixes for build process
- Fixed xmms-locallib patch

* Thu Oct 24 2002 Konstantin Volckov <goldhead@altlinux.ru> 1.2.7-alt6
- Rebuilt in new environment
- Updated xmms-shell to 0.99.3
- Now we don't build xmms-gnome package

* Wed Aug 27 2002 Konstantin Volckov <goldhead@altlinux.ru> 1.2.7-alt5
- Fixed recoding - now xmms don't recode characters that absent in
  result codeset. Thnx to Vitaly Lipatov
- Added gcc3 patches from MDK

* Wed Jul 31 2002 Konstantin Volckov <goldhead@altlinux.ru> 1.2.7-alt4
- Rebuilt with new OGG
- Changed make_build to make - bugs with man pages

* Mon Apr 29 2002 Konstantin Volckov <goldhead@altlinux.ru> 1.2.7-alt3
- Package xmms splitted to xmms & libxmms

* Thu Apr 11 2002 Konstantin Volckov <goldhead@altlinux.ru> 1.2.7-alt2
- Updated xmms-shell & 3dse plugins to latest versions

* Tue Mar 05 2002 Konstantin Volckov <goldhead@altlinux.ru> 1.2.7-alt1
- 1.2.7
- Fixed Russian description for xmms package

* Thu Jan 24 2002 Konstantin Volckov <goldhead@altlinux.ru> 1.2.6-alt1
- 1.2.6-release
- Updated rus & intl patches - fixed some bugs (Apply in preferences
  & Vorbis recoding)
- Updated russian translation file

* Mon Dec 10 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.2.6-alt0.2.pre1
- Fixed requires for xmms-vorbis (>= 1.0rc2). Thanx to Mikhail Yakshin.
- Fixed Requires (%version-%release).

* Fri Dec 07 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.2.6-alt0.1.pre1
- 1.2.6-pre1
- Fixed filelist
- Some spec cleanup

* Mon Nov 19 2001 Mikhail Zabaluev <mhz@altlinux.ru> 1.2.5-alt3
- Fixed ORBit cflags

* Thu Jun 28 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.2.5-alt2
- Fixed plugin.h

* Wed Jun 20 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.2.5-alt1
- Update to new version - 1.2.5
- Fix some patches
- Added manpages to xmms
- Remove all entries in changelog before 2001
- Some spec cleanup

* Wed Apr 25 2001 Kostya Timoshenko <kt@altlinux.ru> 1.2.4-ipl7mdk
- Moved static libraries to devel-static subpackage.

* Fri Mar 16 2001 Konstantin Volckov <goldhead@linux.ru.net>  1.2.4-ipl6mdk
- Final rebuild for RE

* Mon Mar 12 2001 Kostya Timoshenko <kt@petr.kz> 1.2.4-ipl5mdk
- added a patch to fix wchar_t to GdkWChar conversion problem in
  playlist_list.c, thanks to Chun-Chung Chen <cjj@u.washington.edu>
- Geoffrey Lee <snailtalk@mandrakesoft.com>
  - Ugly hack to make it build with the latest glib/gtk.

* Fri Feb  9  2001 Kostya Timoshenko <kt@petr.kz> 1.2.4-ipl4mdk
- change tag Group

* Tue Jan 16 2001 Kostya Timoshenko <kt@petr.kz>
- fix lib policy

* Tue Jan  2 2001 Kostya Timoshenko <kt@petr.kz>
- Use patches by Konstantin Volckov <goldhead@linux.ru.net>
- Build for RE
